## libapache-mod-removeip 1.0b

=== apache1.3/Makefile ===
# Makefile for mod_removeip.c (gmake)
# $Id:$

#APXS=/path/to/your/apxs
APXS=`which apxs`

default:
	@echo mod_removeip:
	@echo author: andrew@scoop.co.nz
	@echo
	@echo following options available:
	@echo \"make removeip\" to compile the 1.3 version
	@echo \"make install\" to install the 1.3 version
	@echo
	@echo change path to apxs if this is not it: \"$(APXS)\"


removeip: mod_removeip.so
	@echo make done, type \"make install\" to install mod_removeip

mod_removeip.so: mod_removeip.c
	$(APXS) -c -o $@ mod_removeip.c

mod_removeip.c:

install: mod_removeip.so
	$(APXS) -i -n mod_removeip mod_removeip.so

clean:
	rm -rf *~ *.o *.so *.lo *.la *.slo .libs/

=== apache2.0/Makefile ===
# Makefile for mod_removeip.c (gmake)
# $Id:$

#APXS2=/path/to/your/apxs
APXS2=`which apxs2`

default:
	@echo mod_removeip:
	@echo author: andrew@scoop.co.nz
	@echo
	@echo following options available:
	@echo \"make removeip\" to compile the 2.0 version
	@echo \"make install\" to install the 2.0 version
	@echo
	@echo change path to apxs if this is not it: \"$(APXS2)\"


removeip: mod_removeip.o
	@echo make done, type \"make install\" to install mod_removeip-2.0

mod_removeip.o: mod_removeip.c
	$(APXS2) -c -n $@ mod_removeip.c

mod_removeip.c:

install: mod_removeip.o
	$(APXS2) -i -n mod_removeip.so mod_removeip.la

clean:
	rm -rf *~ *.o *.so *.lo *.la *.slo .libs/

=== debian/changelog ===
libapache-mod-removeip (1.0b-8) unstable; urgency=medium

  * New maintainer (Closes: #1123600).

 -- Daniel Baumann <daniel@debian.org>  Fri, 26 Dec 2025 00:51:11 +0100

libapache-mod-removeip (1.0b-7) unstable; urgency=medium

  * QA upload.
  * Fix clean target.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Drop "Priority: optional" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Thu, 25 Dec 2025 02:27:08 +0000

libapache-mod-removeip (1.0b-6) unstable; urgency=medium

  * QA (group) upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Andreas Tille ]
  * Add Homepage (pointing to Github)
    Closes: #615301
  * Set Maintainer to Debian QA Group <packages@qa.debian.org>
    Closes: #1085702
  * Remove outdated/wrong information in README.Debian
    Closes: #759375
  * Sort dh
  * debhelper compat level 13
  * d/copyright: DEP5
  * Section: s/web/httpd/
  * Remove (outdated) Homepage from description
  * Standards-Version: 4.7.0 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove uploaders from orphaned package.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Dec 2024 09:43:34 +0100

libapache-mod-removeip (1.0b-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #998991).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 16:07:18 -0300

libapache-mod-removeip (1.0b-5.3) unstable; urgency=medium

  * Drop dpatch, move to source format 3.0 (quilt)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 18 Aug 2019 22:49:03 +0200

libapache-mod-removeip (1.0b-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper compatibility level to 8 (Closes: #817521).
  * Add Vcs-Git and Vcs-Browser control fields.

 -- intrigeri <intrigeri@debian.org>  Mon, 16 Jan 2017 18:00:00 +0000

libapache-mod-removeip (1.0b-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Port to Apache 2.4 (closes: #666864).
  * Remove apache1 packaging harder.

 -- Colin Watson <cjwatson@debian.org>  Sat, 13 Jul 2013 12:32:50 +0100

libapache-mod-removeip (1.0b-5) unstable; urgency=medium

  * Removed apache1 packaging (Closes: #429129)

 -- Micah Anderson <micah@debian.org>  Sun, 29 Jul 2007 14:38:58 -0400

libapache-mod-removeip (1.0b-4) unstable; urgency=low

  * Fixed FTBFS if built twice in a row (Closes: #424499)
  * Updated README.Debian to have correct apache2 a2enmod line

 -- Micah Anderson <micah@debian.org>  Sat, 14 Oct 2006 13:56:36 -0600

libapache-mod-removeip (1.0b-3) unstable; urgency=high

  * Updated debian/control to depend on apache2.2-common
    instead of apache2-common and increase versioned build
    depends on apache2-threaded-dev to 2.2 (Closes: #391786)

 -- Micah Anderson <micah@debian.org>  Sun,  8 Oct 2006 12:38:28 -0600

libapache-mod-removeip (1.0b-2) unstable; urgency=low

  [Micah Anderson]
  * Release

  [Bertagaz]
  * Added a patch to replace "localhost" by a correct IP

 -- Micah Anderson <micah@debian.org>  Tue, 15 Aug 2006 23:44:38 +0200

libapache-mod-removeip (1.0b-1) unstable; urgency=low

  * New upstream release
  * Removed duplicated CHANGES in docs
  * Updated README.Debian with some details from Alster's mail.

 -- Micah Anderson <micah@debian.org>  Sat, 12 Aug 2006 16:09:22 -0400

libapache-mod-removeip (0.2-2) unstable; urgency=low

  * Fixed apache2 module configuration location
  * Updated README.Debian to have debian way for apache2
  * Updated standards revision to 3.7.2 (no changes)
  * Removed substvars from diff
  * Added Build-dependency on dpatch
  * Added myself to Uploaders field
  * Changed modules configs to have standard names
  * Updated long description to be more verbose

 -- Micah Anderson <micah@debian.org>  Sat,  5 Aug 2006 11:57:08 -0400

libapache-mod-removeip (0.2-1) unstable; urgency=low

  * Initial Release.
  * Fixed some warnings at compilation time.

 -- bertagaz <bertagaz@ptitcanardnoir.org>  Fri, 21 Jul 2006 23:34:34 +0200

=== debian/control ===
Source: libapache-mod-removeip
Maintainer: Daniel Baumann <daniel@debian.org>
Section: httpd
Build-Depends: debhelper-compat (= 13),
               dh-apache2,
               apache2-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/libapache-mod-removeip
Vcs-Git: https://salsa.debian.org/debian/libapache-mod-removeip.git
Homepage: https://github.com/moba/libapache-mod-removeip

Package: libapache2-mod-removeip
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Module to remove IP from apache2's logs
 This package provides the removeip module for the Apache 2 webserver.
 This module allows for overwriting Apache's environment variable
 REMOTE_ADDR with a fixed value. This is necessary to anonymize all logs
 written by Apache and to prevent web applications from accessing the original
 IP address.
 .
 Please be advised that activating this module may cause unexpected side effects
 to the behavior of your web applications.

=== debian/rules ===
#!/usr/bin/make -f
# debian rules file for mod_removeip

%:
	dh $@ --with apache2

execute_after_dh_auto_clean:
	$(MAKE) -C apache2.0 clean

override_dh_auto_build:
	apxs2 -c apache2.0/mod_removeip.c
